Microforge API

List repositories

Get a filtered and sorted list of repositories

GET
/list-repos

Query Parameters

limit?integer

Number of repositories to return

Default50
Rangevalue <= 500
offset?integer

Number of repositories to skip

Default0
min_stars?integer

Filter by minimum stars

max_stars?integer

Filter by maximum stars

category?string

Filter by repository category

Value in"AI" | "DevTools" | "Security" | "Web3" | "DataStack" | "Others"
region?string

Filter by company region (e.g., North America, Europe, APAC)

min_funding?integer

Filter by minimum funding amount

sort?string

Sort field. Use change_stars_7d for 7-day star momentum and change_stars_30d for 30-day momentum. (Legacy aliases such as change_in_stars remain supported for backwards compatibility.)

Value in"stars" | "cumulative_score" | "funding_amount" | "created_at" | "change_stars_7d" | "change_stars_30d"
order?string

Sort order

Value in"asc" | "desc"

Response Body

List of repositories

TypeScript Definitions

Use the response body type in TypeScript.

repositories?array<object>
curl -X GET "https://api.microforge.studio/v1/list-repos?limit=50&offset=0&min_stars=0&max_stars=0&category=AI&region=string&min_funding=0&sort=stars&order=asc"
fetch("https://api.microforge.studio/v1/list-repos?limit=50&offset=0&min_stars=0&max_stars=0&category=AI&region=string&min_funding=0&sort=stars&order=asc")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.microforge.studio/v1/list-repos?limit=50&offset=0&min_stars=0&max_stars=0&category=AI&region=string&min_funding=0&sort=stars&order=asc"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.microforge.studio/v1/list-repos?limit=50&offset=0&min_stars=0&max_stars=0&category=AI&region=string&min_funding=0&sort=stars&order=asc"

response = requests.request("GET", url)

print(response.text)
{
  "repositories": [
    {
      "id": 350360184,
      "name": "calcom/cal.com",
      "github_description": "Scheduling infrastructure for absolutely everyone.",
      "homepage": "https://cal.com",
      "star_count": 40055,
      "created_at": "2021-03-22",
      "change_in_stars_30_days": 0.011898746968472,
      "change_in_stars_7_days": 0.003256105197244,
      "topics": [
        "next-auth",
        "nextjs",
        "open-source",
        "postgresql",
        "prisma",
        "t3-stack",
        "tailwindcss",
        "trpc",
        "turborepo",
        "typescript",
        "zod"
      ],
      "language": "TypeScript",
      "forks_count": 11795,
      "score": {
        "external_interest": 10,
        "age": 4,
        "activity": 10,
        "health": 0,
        "presence": 10,
        "cumulative": 7.6
      },
      "owner_homepage": "https://cal.com",
      "categories": [
        "Others"
      ],
      "avatar_url": "https://avatars.githubusercontent.com/u/79145102?v=4",
      "crunchbase_url": "https://www.crunchbase.com/organization/calendso",
      "linkedin_url": "https://www.linkedin.com/company/cal-com",
      "country": "Canada, India, Mexico, United States",
      "region": "North America",
      "funding_amount": 32.35,
      "display_name": "Cal",
      "short_description": "Scheduling for everyone.",
      "medium_description": "calcom provides universal scheduling infrastructure, suitable for various users.",
      "long_description": "calcom develops scheduling infrastructure designed for use by everyone, offering solutions flexible enough for diverse needs.",
      "descriptions": {
        "short": "Scheduling for everyone.",
        "medium": "calcom provides universal scheduling infrastructure, suitable for various users.",
        "long": "calcom develops scheduling infrastructure designed for use by everyone, offering solutions flexible enough for diverse needs.",
        "github": "Scheduling infrastructure for absolutely everyone."
      },
      "founders": [
        {
          "name": "Tim Perry",
          "summary": "Creator of HTTP Toolkit, Oxford CS, Ex-balena",
          "linkedin": "https://linkedin.com/in/pimterry",
          "twitter": "https://twitter.com/pimterry"
        }
      ]
    }
  ]
}